import torch.nn as nn
from .resnet_encoder import ResnetEncoder
from .depth_decoder import DepthDecoder
import torchvision.models as models
import torch.nn.functional as F
import numpy as np
import torch

class md2_depth(nn.Module):
    def __init__(self):
        super(md2_depth, self).__init__()

        self.encoder = ResnetEncoder(50, False, 1)
        self.decoder = DepthDecoder(self.encoder.num_ch_enc)

    def forward(self, x):

        return self.decoder(self.encoder(x))




